{% extends 'base.html.twig' %}

{% block title %}Kardecs{% endblock %}
{% block stylesheets %}
  <link rel="stylesheet" href="{{asset('css/kardecs.css')}}">
{% endblock %}
{% block watermark %}
    <div class="watermarked" data-watermark="{{app.user.username}}"></div>
{% endblock %}
{% block head_css %}
{{parent()}}
  <style media="print">
    @media print{@page {size:legal landscape}}
    @media print
    {
      a { color: black!important; text-decoration: none!important; }
      .table td, .table th { padding: 0.3rem!important; }
      .visible-print  { display: inherit !important; }
      .hidden-print   { display: none !important; }
    }
  </style>
{% endblock %}

{% block body %}
<div class="container">
  <div class="row text-black">
      <div class="col-6">
        <h4>Hoja de Kardec</h4>
      </div>
      <div class="col-6">
        <a class="btn btn-primary btn-sm  d-print-none float-right"
          href="{{ path('kardecs_items_new', {'kardec': kardec.id}) }}">
          <span>
            <i class="fas fa fa-plus"></i>
          </span>
          Agregar Medicamento
        </a>
      </div>
  </div>
</div>
<div class="container border text-black">
  <div class="row">
    <div class="col-4">
      <b>Apellido y Nombre:</b> <a href="{{ path('pacientes_show', {'id': kardec.paciente.id}) }}">{{kardec.paciente.apellido }},{{kardec.paciente.nombre}}</a>
    </div>
    <div class="col-4">
      <b>Fecha de Nacimiento:</b> {{kardec.paciente.fechaNacimiento|date('d/m/Y')}} ({{date("now"|date('d-m-Y')).diff(kardec.paciente.fechaNacimiento).y}} años)
    </div>
    <div class="col-4">
      <b>Fecha de Ingreso:</b> {{kardec.fechaIngreso ? kardec.fechaIngreso|date('d/m/Y')}}
    </div>
  </div>
  <div class="row">
    <div class="col-10">
      <b>Diagnóstico:</b> {{kardec.diagnostico}}
    </div>
    <div class="col-2">
      <b>H. Clínica:</b> {{kardec.paciente.historialClinico}}
    </div>
  </div>
</div>
<div class="row">
  <div class="col-12">
    <table class="table table-fit table-responsive-sm" id="tabla">
      <thead>
        <tr>
          <th rowspan="2" class="border">Medicamento</th>
          <th rowspan="2" class="border">Dosis</th>
          <th rowspan="2" class="border">Vía</th>
          <th rowspan="2" class="border">Horario/s</th>
          <th colspan="10" class="border">Día / Mes / Año</th>
        </tr>
      </thead>
      <tbody>
        {% for item in kardec.kardecsItems %}
          {% set rowspan = 1 %}
          {% if item.historialKardecs and (item.historialKardecs|length > 0) %}
            {% set rowspan = (item.historialKardecs|length / 10)|round(0,'ceil') %}
          {% endif %}
        <tr class="border">
          <td class="border td1" rowspan="{{rowspan}}">
            <a class="btn btn-primary btn-sm  d-print-none"
            href="{{ path('historial_kardecs_new', {'kardecItem': item.id}) }}">
              <span>
                <i class="fas fa fa-plus"></i>
              </span>
            </a>
            {{item.descripcion}}<br>
            <h6><small>{{item.usuario.nombre ~' ' ~ item.usuario.apellido}}</small></h6>
          </td>
          <td class="border" rowspan="{{rowspan}}">{{item.dosis}}</td>
          <td class="border" rowspan="{{rowspan}}">{{item.via}}</td>
          <td class="border" rowspan="{{rowspan}}">
            {{item.horario|date('H:i')}} <br>
            {% set frecuencia = (24 / item.frecuencia) %}
            {% for i in 0..(item.frecuencia - 1) %}
              {% if i != 0 %}
                {{item.horario|date_modify("+"~ frecuencia * i ~"hour")|date('H:i')}} <br>
              {% endif %}
            {% endfor %}
          </td>
          {% if item.historialKardecs %}
            {% for key, item in item.historialKardecs %}
              {% if key <= 9 %}
                <td class="border kardecs"><small>{{item.fecha|date('d/m/')~item.fecha|date('Y')|slice(2, 4)}}<br>{{item.hora|date('H:i')}}<br>{{item.usuario}}</small></td>
              {% endif %}
            {% endfor %}
          {% endif %}
        </tr>
          {% if item.historialKardecs %}
            {% for key, item in item.historialKardecs %}
              {% if key > 9 %}
                {% if key|last == 0 %}
                  <tr>
                {% endif %}
                  <td class="border kardecs"><small>{{item.fecha|date('d/m/')~item.fecha|date('Y')|slice(2, 4)}}<br>{{item.hora|date('H:i')}}<br>{{item.usuario}}</small></td>
                {% if key|last == 9 %}
                  </tr>
                {% endif %}
              {% endif %}
            {% endfor %}
          {% endif %}
        {% endfor %}
      </tbody>
    </table>
  </div>
</div>
{% endblock %}

{% block javascripts %}
 {{parent()}}
 <script>
     Array.from(document.querySelectorAll('.watermarked')).forEach(function(el) {
        el.dataset.watermark = (el.dataset.watermark + ' ').repeat(1800);
      });
 </script>
{% endblock %}
